org.apache.fop.render.txt

## Enum TxtRendererConfig.TxtRendererOption

- java.lang.Object
- - java.lang.Enum<TxtRendererConfig.TxtRendererOption>
  - - org.apache.fop.render.txt.TxtRendererConfig.TxtRendererOption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TxtRendererConfig.TxtRendererOption>, RendererConfigOption
  Enclosing class:
    TxtRendererConfig

      public static enum TxtRendererConfig.TxtRendererOption
      extends java.lang.Enum<TxtRendererConfig.TxtRendererOption>
      implements RendererConfigOption

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENCODING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getDefaultValue()`
    `java.lang.String` | `getName()` The name of the option.
    `static TxtRendererConfig.TxtRendererOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TxtRendererConfig.TxtRendererOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENCODING

          public static final TxtRendererConfig.TxtRendererOption ENCODING

  - ### Method Detail

    - #### values

          public static TxtRendererConfig.TxtRendererOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TxtRendererConfig.TxtRendererOption c : TxtRendererConfig.TxtRendererOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TxtRendererConfig.TxtRendererOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `RendererConfigOption`
      The name of the option.
      Specified by:
        `getName` in interface `RendererConfigOption`

    - #### getDefaultValue

          public java.lang.Object getDefaultValue()

      Specified by:
        `getDefaultValue` in interface `RendererConfigOption`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.